image: maven:3-jdk-8

cache:
  paths:
    - target/
    - .m2/

variables:
  MAVEN_CLI_OPTS: "--batch-mode"
  MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository"
  DOCKER_HOST: tcp://docker:2375

services:
  - docker:dind

stages:
  - package
  - deploy

package:
  stage: package
  script: "mvn $MAVEN_CLI_OPTS package"
  artifacts:
    paths:
      - target/web-0.0.1-SNAPSHOT.jar

docker:
  image: docker:latest
  stage: deploy
  script:
    - docker build -t vashbuhgalter_server .
    - docker login -u $DOCKER_USERNAME -p $DOCKER_PASSWORD
    - docker tag vashbuhgalter_server $DOCKER_USERNAME/vashbuhgalter_server:v1
    - docker push $DOCKER_USERNAME/vashbuhgalter_server:v1
